svg#svg(height="80vh" width="100%" viewbox='0 0 100 100' xmlns="http://www.w3.org/2000/svg")
  state
    transition(duration="250ms")
    property(name="range" type="boolean" initial="false")
      transform(query-selector='#rect1' by="rotate(90)")
      transform(query-selector='#rect2' to="rotate(90)")
      transform(query-selector='#rect3' by="rotate(90)")
      transform(query-selector='#rect4' to="rotate(90)")

  g(transform='translate(10 10)')
    rect#rect1(y='-5' x='-5' width="10" height="10" transform="rotate(-45)" style="fill:red;")
  g(transform='translate(25 25)')
    rect#rect2(y='-5' x='-5' width="10" height="10" transform="rotate(45)" style="fill:red;")
  g(transform='translate(40 40)')
    rect#rect3(y='-5' x='-5' width="10" height="10" style="fill:red;")
  g(transform='translate(55 55)')
    rect#rect4(y='-5' x='-5' width="10" height="10" style="fill:red;")
